View Issue Details

IDProjectCategoryView StatusLast Update
0005460GNUnetfile-sharing servicepublic2019-02-28 11:17
ReporternyaomiAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.11.0pre66 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005460: Recursive publishing causes topmost directory's name to be unnecessarily changed
DescriptionWhen using `gnunet-publish` to recursively publish a directory, the specified top-level directory's filename (i.e. the name `gnunet-search` provides for `gnunet-download -o`) seems to be predictably modified to end in an underscore. The directories underneath it seem to be unaffected.

While the user can change the `gnunet-download` command provided by `gnunet-search` in order to remove the underscore when downloading, doing so is inconvenient, and I believe there is no way for gnunet-fs-gtk users to change the destination when downloading.
Steps To Reproduceuser@gnunet:~/test$ mkdir -p foo/bar/baz

user@gnunet:~/test$ gnunet-publish -k test123 foo
Publishing `/home/user/test/foo/bar/baz' done.
URI is `gnunet://fs/chk/36ZKDZSKE9RC4XVWF69FC1NB8M4QYDG6T4041MZTH7J9GD3MVMA3CYG021JZ3DCB5PB40F6SWR7MXCHTZA3HWKJZY8TZVH8W55GG088.DK0Q4VP4PDGRPZSTJT7KKFXPG76G7YC5YMG5JFDW2QJ0MD5N971TNP67JSS5G27T626V90FN9ZM0VNJC00YG8FRFH8J4CZ6DN48B738.147'.
Publishing `/home/user/test/foo/bar' done.
URI is `gnunet://fs/chk/89Q2Q6966WW0PBEFPDXHXKXQ0D3AC3V6XZAX8801JPH4MPMG2Q4TWT6N93WKPWNDERG1XWCN2GW1QF3SG172YV1D5PND18NQW5H37D8.SY9SPD7DVDN4QQ10AEGJE1D80Y2XNPH44J1VFJ98K7FXNTG3K79XDZ8ZXVCWH7FGDHXJSNRZB575J2F31WMQ3XN120S13NCGPEGDYYR.670'.
Publishing `/home/user/test/foo' done.
URI is `gnunet://fs/chk/ZYZYNAFVN7CCTZZWAMWAWCDTQP36G8DQYAJF1D0EHXJJ954N6J9ZXJM1A3YEGS4P220K81SPBCTRQCG4X0EJP89F180FEF8C8M97G08.68KYEB1FDRQC97BJ4SWRG6CSNJ6PJBMCCEHHCPC0DH2Q7DZJ38VTXE5ZFM9WTBEZQMNJSJ91ZE415ZN2KR51YGZ5Q91KY5TBW9KM400.1195'.

user@gnunet:~/test$ gnunet-search test123
#1:
gnunet-download -o "foo_.gnd" -R gnunet://fs/chk/ZYZYNAFVN7CCTZZWAMWAWCDTQP36G8DQYAJF1D0EHXJJ954N6J9ZXJM1A3YEGS4P220K81SPBCTRQCG4X0EJP89F180FEF8C8M97G08.68KYEB1FDRQC97BJ4SWRG6CSNJ6PJBMCCEHHCPC0DH2Q7DZJ38VTXE5ZFM9WTBEZQMNJSJ91ZE415ZN2KR51YGZ5Q91KY5TBW9KM400.1195

user@gnunet:~/test$ mkdir ../test2 ; cd ../test2

user@gnunet:~/test2$ gnunet-download -o "foo_.gnd" -R gnunet://fs/chk/ZYZYNAFVN7CCTZZWAMWAWCDTQP36G8DQYAJF1D0EHXJJ954N6J9ZXJM1A3YEGS4P220K81SPBCTRQCG4X0EJP89F180FEF8C8M97G08.68KYEB1FDRQC97BJ4SWRG6CSNJ6PJBMCCEHHCPC0DH2Q7DZJ38VTXE5ZFM9WTBEZQMNJSJ91ZE415ZN2KR51YGZ5Q91KY5TBW9KM400.1195
100% [============================================================]
Downloading `foo_/bar/baz.gnd' done (457 b/s).

Downloading `foo_/bar.gnd' done (482 b/s).

Downloading `foo_.gnd' done (397 b/s).

user@gnunet:~/test2$ tree
.
├── foo_
│   ├── bar
│   │   └── baz.gnd
│   └── bar.gnd
└── foo_.gnd

2 directories, 3 files
TagsNo tags attached.

Activities

Christian Grothoff

2019-02-12 16:09

manager   ~0013687

Fixed in ab1dd0871..aa83696e6

Issue History

Date Modified Username Field Change
2018-10-16 06:33 nyaomi New Issue
2019-02-12 09:02 Christian Grothoff Assigned To => Christian Grothoff
2019-02-12 09:02 Christian Grothoff Status new => assigned
2019-02-12 16:09 Christian Grothoff Note Added: 0013687
2019-02-12 16:09 Christian Grothoff Status assigned => resolved
2019-02-12 16:09 Christian Grothoff Resolution open => fixed
2019-02-12 16:09 Christian Grothoff Fixed in Version => 0.11.0
2019-02-12 16:09 Christian Grothoff Target Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed